using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Link:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Link
	{
		public Dd_Link()
		{}
		#region Model
		private int _link_id;
		private int _user_id;
		private string _link_title;
		private string _link_address;
		private string _link_description;
		private string _link_tag;
		private int? _link_originid;
		private int? _link_publishmode;
		private bool? _link_puttop= false;
		private int? _link_fever;
		private string _link_guid;
		private DateTime? _link_datetime= DateTime.Now;
		private DateTime? _link_updatetime= DateTime.Now;
		private int? _link_verify;
		private int? _link_lock;
		private int? _link_state;
		private int? _link_delete;
		private int? _link_count;
		private int? _link_order=3;
		private string _link_remark;
		/// <summary>
		/// 链接的唯一标识
		/// </summary>
		public int Link_ID
		{
			set{ _link_id=value;}
			get{return _link_id;}
		}
		/// <summary>
		/// 链接的拥有者用户ID作外键
		/// </summary>
		public int User_ID
		{
			set{ _user_id=value;}
			get{return _user_id;}
		}
		/// <summary>
		/// 链接的标题
		/// </summary>
		public string Link_Title
		{
			set{ _link_title=value;}
			get{return _link_title;}
		}
		/// <summary>
		/// 链接地址
		/// </summary>
		public string Link_Address
		{
			set{ _link_address=value;}
			get{return _link_address;}
		}
		/// <summary>
		/// 链接的描述
		/// </summary>
		public string Link_Description
		{
			set{ _link_description=value;}
			get{return _link_description;}
		}
		/// <summary>
		/// 链接标签
		/// </summary>
		public string Link_Tag
		{
			set{ _link_tag=value;}
			get{return _link_tag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? Link_OriginId
		{
			set{ _link_originid=value;}
			get{return _link_originid;}
		}
		/// <summary>
		/// 发布状态1立即发布2保存在草稿3加入到自动发布列表4紧自己可见
		/// </summary>
		public int? Link_PublishMode
		{
			set{ _link_publishmode=value;}
			get{return _link_publishmode;}
		}
		/// <summary>
		/// 是否置顶默认置顶
		/// </summary>
		public bool? Link_PutTop
		{
			set{ _link_puttop=value;}
			get{return _link_puttop;}
		}
		/// <summary>
		/// 热度即浏览量
		/// </summary>
		public int? Link_Fever
		{
			set{ _link_fever=value;}
			get{return _link_fever;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Link_Guid
		{
			set{ _link_guid=value;}
			get{return _link_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? Link_Datetime
		{
			set{ _link_datetime=value;}
			get{return _link_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Link_UpDatetime
		{
			set{ _link_updatetime=value;}
			get{return _link_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Link_Verify
		{
			set{ _link_verify=value;}
			get{return _link_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Link_Lock
		{
			set{ _link_lock=value;}
			get{return _link_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? Link_State
		{
			set{ _link_state=value;}
			get{return _link_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Link_Delete
		{
			set{ _link_delete=value;}
			get{return _link_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Link_Count
		{
			set{ _link_count=value;}
			get{return _link_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? Link_Order
		{
			set{ _link_order=value;}
			get{return _link_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Link_Remark
		{
			set{ _link_remark=value;}
			get{return _link_remark;}
		}
		#endregion Model

	}
}

